package myPackage;

import java.math.BigDecimal;
import javax.ejb.*;

@Stateless
public class ConverterBean implements Converter {
	private BigDecimal rupeeRate = new BigDecimal("40.58");
	private BigDecimal euroRate = new BigDecimal("0.018368");

	public BigDecimal dollarToRupees(BigDecimal dollars) {
		BigDecimal result = dollars.multiply(rupeeRate);
		return result.setScale(2, BigDecimal.ROUND_UP);
	}

	public BigDecimal rupeesToEuro(BigDecimal rupees) {
		BigDecimal result = rupees.multiply(euroRate);
		return result.setScale(2, BigDecimal.ROUND_UP);
	}
}